%define upstream_name    syntax
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Activate syntax extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList) >= 0.104.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides: perl(syntax)

%description
This module activates community provided syntax extensions to Perl. You
pass it a feature name, and optionally a scalar with arguments, and the
dispatching system will load and install the extension in your package.

The import arguments are parsed with the Data::OptList manpage. There are
no standardised options. Please consult the documentation for the specific
syntax feature to find out about possible configuration options.

The passed in feature names are simply transformed: 'function' becomes the
Syntax::Feature::Function manpage and 'foo_bar' would become
'Syntax::Feature::FooBar'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 516460
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-3.mga3
+ Revision: 375565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.4.0-2.mga3
+ Revision: 295254
- add missing provides

* Mon Sep 17 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 295223
- imported package perl-syntax


* Mon Sep 17 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
